import request from '@/utils/request'

// 查询调用日志_发送短信列表
export function listSendmsg(query) {
  return request({
    url: '/company/sendmsgLog/list',
    method: 'get',
    params: query
  })
}


export function listByCallerIdAndRoboticId(query) {
  return request({
    url: '/company/sendmsgLog/listByCallerIdAndRoboticId',
    method: 'get',
    params: query
  })
}

// 删除调用日志_发送短信
export function delSendmsg(logId) {
    return request({
        url: '/company/sendmsg/' + logId,
        method: 'delete'
    })
}

// 获取统计数据
export function getSendMsgLogCount() {
    return request({
        url: '/company/sendmsgLog/count',
        method: 'get'
    })
}

// 导出调用日志_发送短信
export function exportSendmsg(query) {
    return request({
        url: '/company/sendmsgLog/export',
        method: 'get',
        params: query
    })
}

// // 查询调用日志_发送短信详细
// export function getSendmsg(logId) {
//   return request({
//     url: '/company/sendmsg/' + logId,
//     method: 'get'
//   })
// }

// // 新增调用日志_发送短信
// export function addSendmsg(data) {
//   return request({
//     url: '/company/sendmsg',
//     method: 'post',
//     data: data
//   })
// }

// // 修改调用日志_发送短信
// export function updateSendmsg(data) {
//   return request({
//     url: '/company/sendmsg',
//     method: 'put',
//     data: data
//   })
// }

// // 删除调用日志_发送短信
// export function delSendmsg(logId) {
//   return request({
//     url: '/company/sendmsg/' + logId,
//     method: 'delete'
//   })
// }

// // 导出调用日志_发送短信
// export function exportSendmsg(query) {
//   return request({
//     url: '/company/sendmsg/export',
//     method: 'get',
//     params: query
//   })
// }
